
//
//  ViewController.swift
//  Database
//
//  Created by Kathrine Bohus Madsen on 16/11/2015.
//  Copyright © 2015 Kathrine Bohus Madsen. All rights reserved.
//Virker på find i xcode 9!!!!
//KM

import UIKit
import Foundation

class ViewController: UIViewController {
   
    @IBOutlet weak var name: UITextField!
    @IBOutlet weak var address: UITextField!
    @IBOutlet weak var phone: UITextField!

    @IBOutlet weak var status: UILabel!
    
    var databasePath = NSString()
    
    //Her skal url-stien til php-filen angives
    let urlPath = "http://boag.one/mysqlKM.php"
    
    
      // Når appen loades vil tabellen oprettes hvis den ikke er oprettet i forvejen.
    override func viewDidLoad() {
     
        super.viewDidLoad()
        
        let request = NSMutableURLRequest(url: URL(string: urlPath)!)
        request.httpMethod = "POST"
        
        //Her skal angives nøgle til php-documentet, så andre ikke kan gå ind og tilgå jeres database
        //Desuden er det også her at SQL kommandoen angives
        let postString = "key=secret&query=CREATE TABLE IF NOT EXISTS Contacts (name TEXT, address TEXT, phone TEXT);"
        request.httpBody = postString.data(using: String.Encoding.utf8)
        
        
        
        let task = URLSession.shared.dataTask(with: request as URLRequest, completionHandler: {
            data, response, error in
            if error != nil {
                print("Error=\(error)")
                return
            }
            print("response=\(response)")
            let responseString = NSString(data: data!, encoding: String.Encoding.utf8.rawValue)
            print("responseString=\(responseString)")
            
            
            
        }) 
        task.resume()
        

        
        
     
    }
    
    //Hvis der trykkes på save vil der blive indsat en række i tabellen Contacts
    @IBAction func saveData(_ sender: AnyObject) {
        
        //Her skal angives nøgle til php-documentet, så andre ikke kan gå ind og tilgå jeres database
        //Desuden er det også her at SQL kommandoen angives
        let request = NSMutableURLRequest(url: URL(string: urlPath)!)
        request.httpMethod = "POST"
        
        let postString = "key=secret&query=INSERT INTO Contacts (name,address,phone) VALUES ('\(name.text!)', '\(address.text!)', '\(phone.text!)');"
 
        request.httpBody = postString.data(using: String.Encoding.utf8)
        
   
        
        let task = URLSession.shared.dataTask(with: request as URLRequest, completionHandler: {
            data, response, error in
            if error != nil {
                print("Error=\(error)")
                return
            }
            
            print("response=\(response)")
            let responseString = NSString(data: data!, encoding: String.Encoding.utf8.rawValue)
            print("responseString=\(responseString)")

            
        }) 
        task.resume()
        
    }
    
   
    //Når der trykkes på Find vil der søges efter en post med det rigtige name
    @IBAction func findContact(_ sender: AnyObject) {
        

        let request = NSMutableURLRequest(url: URL(string: urlPath)!)
        request.httpMethod = "POST"
        
        //Her skal angives nøgle til php-documentet, så andre ikke kan gå ind og tilgå jeres database
        //Desuden er det også her at SQL kommandoen angives
        let postString = "key=secret&query=SELECT address, phone FROM Contacts WHERE name = '\(name.text!)';"

        request.httpBody = postString.data(using: String.Encoding.utf8)
        
    
        let task = URLSession.shared.dataTask(with: request as URLRequest, completionHandler: {
            data, response, error in
            if error != nil {
                print("Error=\(error)")
                return
            }
            //Her kommer svaret på vores søgning som en string hvor den øverste linje er en liste over 
            //atributterne, de næste linjer er poster der er fundet.
            let responseString = NSString(data: data!, encoding: String.Encoding.utf8.rawValue)
          
            print("responseString=\(responseString)")
     
       
            //Posterne er adskilt af linjeskift. Nu laver vi en array med hver linje tekst
            var responseArray: [String] = []
            responseArray = (responseString?.components(separatedBy: "\n"))!
            var i = 0
            for index in responseArray {
                if (i>0){
                    
                    //De enkelte værdier i posterne er adskilt af ',' (komma) Nu laver vi et 
                    //array af værdierne
                    var postArray: [String] = []
                    postArray = index.components(separatedBy: ",")
                   
                    if (postArray.count>0){
                        if (!postArray[0].isEmpty) {
                        //Hvis der er en addresse skrives den ind
                            print("Jeger kommet hertil")
                        DispatchQueue.main.async {
                            self.address.text = postArray[0] as String
                        }
                            print("Men ikke her")
                        }
                    }
                    if (postArray.count>1) {
                        //telefonnr skrives ind
                        DispatchQueue.main.async {
                            self.phone.text = postArray[1] as String
                        }                  }
                }
                    print("Index \(index)")
                
                i+=1
                
            }
            
           
            
        }) 
        
        
        task.resume()

        

    }
    
    
    
    
    
    
    
    
    

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

